// src/api/login.ts
import request from '../utils/request.ts'

let studentPrefix = import.meta.env.VITE_API_STUDENT_PRE


// 登录接口
export const login = (data:any) => {
  return request({
    url: `${studentPrefix}/api/v1/student/login`,
    method: 'post',
    data
  })
}
// 获取用户信息
export const getUserInfo = () => {
  return request({
    url: `${studentPrefix}/api/v1/student_user/find_user_info`,
    method: 'get'
  })
}
//退出登录
export const loginOut = (data: any) => {
  return request({
    url: `${studentPrefix}/api/v1/student/logout`,
    method: 'post',
    data
  })
}

